<?php
require_once(dirname(__FILE__).'/vendor/autoload.php');
header('Content-Type: text/xml');
header('Cache-Control: no-transform');
use at\externet\eps_bank_transfer;

/**
 * @param string $plainXml Raw XML message, according to "Abbildung 6-6: PaymentConfirmationDetails" (eps Pflichtenheft 2.5)
 * @param at\externet\eps_bank_transfer\BankConfirmationDetails $bankConfirmationDetails
 * @return true
 */

$paymentConfirmationCallback = function($plainXml, $bankConfirmationDetails)
{
	if ($bankConfirmationDetails->GetStatusCode() == 'OK')
	{
	    require_once("../../../wp-blog-header.php");
        $order = new WC_Order($bankConfirmationDetails->GetRemittanceIdentifier());
        $order->update_status('completed', 'order_note');
	}
	elseif ($bankConfirmationDetails->GetStatusCode() == 'NOK') 
	{
	    require_once("../../../wp-blog-header.php");
        $order = new WC_Order($bankConfirmationDetails->GetRemittanceIdentifier());
        $order->update_status('cancelled', 'order_note');
	}

  return true; 
};

$soCommunicator = new eps_bank_transfer\SoCommunicator();
$soCommunicator->HandleConfirmationUrl(
  $paymentConfirmationCallback,
  null,
  'php://input',        
  'php://output'        
);